Bug 1633347 - Virt-who configs are tied to organization, but deploy command does not include org ID.
Summary: Virt-who configs are tied to organization, but deploy command does not includ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Virt-who Configure Plugin
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Marek Hulan
QA Contact: Perry Gagne
satellite-doc-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-26 18:22 UTC by Perry Gagne
Modified: 2019-10-07 17:18 UTC (History)
3 users (show)

Fixed In Version: rubygem-foreman_virt_who_configure 0.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:10 UTC
Foreman Issue Tracker 25096 None None None 2018-10-02 08:07:06 UTC

Description Perry Gagne 2018-09-26 18:22:41 UTC
Description of problem:
It seems in 6.4 something changed to make Virt-who configuration objects tied to organizations, such that it is now required to specify the organization when using 'hammer virt-who-config deploy'

Version-Release number of selected component (if applicable): 6.4


How reproducible: Always


Steps to Reproduce: 
1. Create an organization (other then the default)  call virt-who-config
2. Create a virt-who config using the Satellite virt-who config plugin
3. Copy the deployment command to the clipboard and run it on satellite.


Actual results:
-bash-4.2# hammer virt-who-config deploy --id 1
Could not deploy the Virt Who configuration:
  Resource config not found by id '1'
-bash-4.2#

Adding the organization id (ie hammer 'virt-who-config deploy --id 1 --organization-id 5') makes it work.

Expected results:
Either the command doesn't require the organization to be specified or the command in the "deploy" tab includes the organization

Additional info:
In 6.3 there was no requirement to specify the organization, is this a new requirement in 6.4? If so we need to update the command we are having people copy.

Comment 3 Marek Hulan 2018-10-02 08:06:06 UTC
Configurations were always tight to organizations. Do you run that command under admin or some non-admin user? Non-admins always need to specify the organization if they are assigned to at least two I think.

Though I think it's a good RFE for generated hammer command to specify the organization.

Perry could you double check it's regression, I don't think anything has changed there. In fact I don't think this should be a blocker and might not even be necessary to ship in 6.4.z, though the fix would be minor, so no objections against that.

Comment 4 Marek Hulan 2018-10-02 08:07:04 UTC
Created redmine issue https://projects.theforeman.org/issues/25096 from this bug

Comment 5 pm-sat@redhat.com 2018-11-12 13:04:34 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25096 has been resolved.

Comment 6 Marek Hulan 2018-11-23 09:53:09 UTC
I never got a reply so removing a blocker flag. We now added the org to hammer command explicitly, which should solve it.

Comment 12 errata-xmlrpc 2019-05-14 12:38:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.